ChangeSet 1.1673.8.54, 2004/03/30 14:11:48-08:00, david-b@pacbell.net

[PATCH] USB: RNDIS/Ethernet Gadget Driver comment changes

Whoops, I missed something.  You should apply this patch too.

The RNDIS spec license agreement does NOT require tacking any
GPL-incompatible restrictions on the results of _using_ the
spec:

   "... may be used solely for the purpose of implementing
    the RNDIS protocol message set to interface with ..."
   (the two cases identified in the text)

And that's all the implementation does -- end of story.


 drivers/usb/gadget/rndis.h |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)


diff -Nru a/drivers/usb/gadget/rndis.h b/drivers/usb/gadget/rndis.h
--- a/drivers/usb/gadget/rndis.h	Wed Apr 14 14:35:34 2004
+++ b/drivers/usb/gadget/rndis.h	Wed Apr 14 14:35:34 2004
@@ -10,10 +10,8 @@
  *		modify it under the terms of the GNU General Public License
  *		version 2, as published by the Free Software Foundation. 
  * 
- * 		Due to the Remote NDIS Specification License Agreement this 
- *		program may only be used to interact with a Microsoft Windows
- * 		operating system or a bus/network-connected communication 
- *		device.
+ *		This software was originally developed in conformance with
+ *		Microsoft's Remote NDIS Specification License Agreement.
  */
 
 #ifndef _LINUX_RNDIS_H
